﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cnblogs.Rdst.IDAO;

namespace Cnblogs.Rdst.Dao
{
  public partial class DBSession : IDBSession
  {
		
		private INoteInfoDao _NoteInfoDao;
        public INoteInfoDao NoteInfoDao
        {
            get
            {
                if (_NoteInfoDao == null)
                {
                    _NoteInfoDao = new NoteInfoDao();
                }
                return _NoteInfoDao;
            }
            set { _NoteInfoDao = value; }
        }
		
		private IUserInfoDao _UserInfoDao;
        public IUserInfoDao UserInfoDao
        {
            get
            {
                if (_UserInfoDao == null)
                {
                    _UserInfoDao = new UserInfoDao();
                }
                return _UserInfoDao;
            }
            set { _UserInfoDao = value; }
        }
	 }
}